Package org.eclipse.ui.internal

# Class ChangeToPerspectiveMenu

java.lang.Object
org.eclipse.jface.action.ContributionItem
org.eclipse.ui.actions.PerspectiveMenu
org.eclipse.ui.internal.ChangeToPerspectiveMenu

All Implemented Interfaces:
  `IContributionItem`

public class ChangeToPerspectiveMenu extends PerspectiveMenu
Change the perspective of the active page in the window to the selected one.

## Field Summary

### Fields inherited from class org.eclipse.ui.actions.PerspectiveMenu

`SHOW_PERSP_ID`

## Constructor Summary

Constructors
Constructor
Description
`ChangeToPerspectiveMenu(IWorkbenchWindow window, String id)`
Constructor for ChangeToPerspectiveMenu.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`run(IPerspectiveDescriptor desc)`
Runs an action for a particular perspective.

### Methods inherited from class org.eclipse.ui.actions.PerspectiveMenu

`dispose, fill, getPerspectiveItems, getShowActive, getWindow, isDirty, isDynamic, run, showActive`

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`fill, fill, fill, getId, getParent, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChangeToPerspectiveMenu

public ChangeToPerspectiveMenu(IWorkbenchWindow window, String id)
Constructor for ChangeToPerspectiveMenu.

Parameters:
  `window` - the workbench window this action applies to
  `id` - the menu id

## Method Details

### run

protected void run(IPerspectiveDescriptor desc)
Description copied from class: `PerspectiveMenu`
Runs an action for a particular perspective. The behavior of the action is defined by the subclass.

Specified by:
  `run` in class `PerspectiveMenu`
Parameters:
  `desc` - the selected perspective